package io.zipcoder.interfaces;

 public enum Educator implements Teacher {

     KRIS(100, "Kris Younger"),
     NHU(101, "Nhu Nguyen"),
     FROILAN(102, "Froilan Miranda"),
     DOLIO(103, "L. Dolio Durant"),
     WILHEM(104, "Wilhem Alcivar");

     private long id;
     private String name;
     private double timeWorked;

     Educator(long id, String name){
        this.id = id;
        this.name = name;

     }

     public long getId() {
         return id;
     }

     public void setId(long id) {
         this.id = id;
     }

     public String getName() {
         return name;
     }

     public void setName(String name) {
         this.name = name;
     }

     public double getTimeWorked() {
         return timeWorked;
     }

     public void setTimeWorked(double timeWorked) {
         this.timeWorked = timeWorked;
     }

     public void teach(Learner learn, double numberOfHours) {

         learn.learn(numberOfHours);
         timeWorked += numberOfHours;

     }

     public void lecture(Learner[] learners, double numberOfHours) {

         for(Learner l : learners ){

             l.learn(numberOfHours/learners.length);

         }
        timeWorked += numberOfHours;

     }
 }
