package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class TestInstructor {


    private  Instructor instructor = new Instructor(00,"");

    @Test
    public void testImplementation(){

        Assert.assertTrue(instructor instanceof Teacher);

    }

    @Test
    public void testInheritence(){

        Assert.assertTrue(instructor instanceof Person);

    }

    @Test
    public void  Teach(){
        double no = 34;
        Student student = new Student(0,"");

        instructor.teach(student,no);


    }

    @Test
    public void testLecture(){
        Student student1 = new Student(01,"");
        Student student2 = new Student (02,"");
        Student student3 = new Student(03,"");

        Student[] students = {student1, student2, student3};
        int numberOfHours = 39;

        double expected = numberOfHours/students.length;

        instructor.lecture(students,numberOfHours);

        for(Student s : students){

            instructor.teach(s,numberOfHours);

        }

    }
}
