package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class TestPeople {
    Students people;
    Student student = new Student(0, "Sasha");
    Student student1 = new Student(1, "Omar");
    Student student2 = new Student(2, "Vicky");
    Student student3 = new Student(3, "Lauren");

    @Before public void setup() {
        people = Students.getINSTANCE();

    }
    @Test
    public void testAdd (){
    //Given
     Student person = new Student(1,"Sarah");
    //When
        people.personList.add(person);
    //Then
        Assert.assertNotNull(people.personList.get(0));
    }

    @Test
    public void testRemove(){
        //Given
        people.personList.add(student);
        people.personList.add(student1);
        people.personList.add(student2);
        people.personList.add(student3);
        people.remove(student);
        //When
        int expected = 3;
        int actual = people.personList.size();
        //Then
        Assert.assertEquals(expected,actual);
    }

       @Test
    public void testRemovebyID(){

        //Given
        people.personList.add(student);
        people.personList.add(student1);
        people.personList.add(student2);
        people.personList.add(student3);
        people.removeById(2);
        //When
        int expected = 3;
        int actual = people.personList.size();
        //Then
//        Assert.assertEquals(expected,actual);
        for(int i = 0; i < people.personList.size();i++) {
            System.out.println(people.personList.get(i));
        }
    }
    @Test
    public void testFindById(){

        //Given

        people.personList.add(student1);
        people.personList.add(student2);
        people.personList.add(student3);
        people.personList.add(student);
        //When

        Person actual = people.findByID(0);
        Student expect = student;

        //Then
        Assert.assertEquals(expect,actual);
    }
    @Test
    public void testGetArray(){

        //Given
        people.add(student2);
        people.add(student3);
        people.add(student);
        //When
        Object [] expecting = {student2,student3,student};
        Object [] actual = people.personList.toArray();
        //Then

        Assert.assertEquals(expecting,actual);

    }


    @Test
    public void testRemoveAll(){


        //Given
        people.add(student1);
        people.add(student2);
        people.add(student3);
        people.add(student);
        //When
        int expecting = 0;
        people.removeAll();
        //Then

        Assert.assertEquals(expecting,people.getCount());

    }



}

