package io.zipcoder.interfaces;

import java.util.ArrayList;

public final class ZipCodeWilmington {

    private final static ZipCodeWilmington instance = new ZipCodeWilmington();

    public Students students = Students.getINSTANCE();
    public Instructors instructors = Instructors.getINSTANCE();
    ArrayList<Student> cohortList = students.studentlist;

    public void hostLecture(Teacher teacher, double numberOfHours){
        Learner[] cohort = cohortList.toArray(new Learner[cohortList.size()]);

        teacher.lecture(cohort,numberOfHours);

    }

    public void hostLecture(long id, double numberOfhours) {

        Instructor instructor = null;

        for (Instructor c : instructors.personList) {

            if (c.getId() == id) {
                instructor = c;

            }

        }
        Learner[] cohort = cohortList.toArray(new Learner[cohortList.size()]);
        instructor.lecture(cohort, numberOfhours);

    }


    public ZipCodeWilmington GetINSTANCE (){

        return instance;

    }
}
